// Функция, обеспечивающая выполнение метода eval класса SpHTMLControl
function SetEval() {
document.SpHtmlForm.string.value=eval(document.SpHtmlForm.string.value);
}
// Функция, выполняющаяся при загрузке HTML-страницы
function SpStartPage()
{
    document.onkeyup = checkKeysIE;       
  		// Блокировка PopUp меню
  		document.body.oncontextmenu=function(e){
  		e = window.event; 
		document.SpHtmlForm.SpData.value  = 'CONTEXTMENU{'+String(e.x)+','+String(e.y)+'}';
  		document.title = document.title;
  		return false};

}

// Функция, обеспечивающая вызов функции Универсала с HTML-страницы
function SetSpData(codeblock){
  		document.SpHtmlForm.SpData.value  = codeblock;
  		document.title = document.title;
}

// Функция, обеспечивающая вызов пункта контекстного меню Универсала с HTML-страницы
function SetMenuData(nReport){
  		document.SpHtmlForm.MenuData.value  = nReport;
}

// Функция, обеспечивающая формирование уровня в зоне активных кнопок Универсала на HTML-странице (параметр - число)
function SetSpMenuLevel(funcname,id){
                SetSpData('FEVAL("Диспетчер стартовой формы",,,{"'+funcname+'",'+id+'})');
}

// Функция, обеспечивающая формирование уровня в зоне активных кнопок Универсала на HTML-странице (параметр - строка)
function SetSpMenuLevelString(funcname,id){
                SetSpData('FEVAL("Диспетчер стартовой формы",,,{"'+funcname+'","'+id+'"})');
}


function SetStatus(id, name)
{             
 SetSpData('FEVAL("DocHtmlEditField",,,{"'+name+'",'+id+'})');
}

// Функция, обеспечивающая поддержку горячих клавиш Универсала на HTML-странице
function checkKeysIE()
{
   var KeyID = event.keyCode;
   var status = 0;
   if (event.shiftKey)
      {status = status + 1};
   if (event.altKey)
      {status = status + 2};
   if (event.ctrlKey)
      {status = status + 4};
   if (KeyID==8) {SetSpMenuLevel('getContentFolder',$("#up").attr('data-value'))}
   else
       {document.SpHtmlForm.SpData.value  = 'KEYBOARD{'+String(KeyID)+','+String(status)+'}';
       document.title = document.title;}
   KeyID = 0;
   switch(KeyID)
   { case 0:
     break; }
 }
function isScrolledIntoView(id)
{
    var elem = $("#"+id)[0];
    var docViewTop = $(window).scrollTop();
    var docViewBottom = docViewTop + $(window).height();

    var elemTop = $(elem).offset().top;
    var elemBottom = elemTop + $(elem).height();

    return ((elemBottom <= docViewBottom) && (elemTop >= docViewTop));
}

// Функция, обеспечивающая вызов контекстного меню Универсала с HTML-страницы
 function ConTextMenuHandler(){

 		// Блокировка PopUp меню
		document.body.oncontextmenu=function(e){
		e = window.event; 
		document.SpHtmlForm.SpData.value  = 'CONTEXTMENU{'+String(e.x)+','+String(e.y)+'}';
		document.title = document.title;
		return false};
}